<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Entity;

use Admin\Data\Common;
use Doctrine\ORM\Mapping as ORM;

/**
 * 自提点核销人员
 * Class SelfLocationMember
 * @package Admin\Entity
 * @ORM\Entity(repositoryClass="Admin\Repository\SelfLocationMemberRepository")
 * @ORM\Table(name="dbcart_self_location_member")
 */
class SelfLocationMember extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="member_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $memberId;

    /**
     * 登录账号
     * @ORM\Column(name="member_account", type="string", length=50)
     */
    private $memberAccount;

    /**
     * 登录密码
     * @ORM\Column(name="member_password", type="string", length=72)
     */
    private $memberPassword;

    /**
     * 核销人员真实姓名
     * @ORM\Column(name="member_name", type="string", length=50)
     */
    private $memberName;

    /**
     * 联系电话
     * @ORM\Column(name="member_phone", type="string", length=30)
     */
    private $memberPhone;

    /**
     * 自提点id
     * @ORM\Column(name="location_id", type="integer", length=11)
     */
    private $locationId;

    /**
     * 核销人员状态，1 启用，0 禁用
     * @ORM\Column(name="member_state", type="integer", length=1)
     */
    private $memberState;

    /**
     * 添加时间
     * @ORM\Column(name="member_add_time", type="integer", length=10)
     */
    private $memberAddTime;

    /**
     * @return mixed
     */
    public function getMemberId()
    {
        return $this->memberId;
    }

    /**
     * @param mixed $memberId
     */
    public function setMemberId($memberId): void
    {
        $this->memberId = $memberId;
    }

    /**
     * @return mixed
     */
    public function getMemberAccount()
    {
        return $this->memberAccount;
    }

    /**
     * @param mixed $memberAccount
     */
    public function setMemberAccount($memberAccount): void
    {
        $this->memberAccount = $memberAccount;
    }

    /**
     * @return mixed
     */
    public function getMemberPassword()
    {
        return $this->memberPassword;
    }

    /**
     * @param mixed $memberPassword
     */
    public function setMemberPassword($memberPassword): void
    {
        $this->memberPassword = Common::createUserPassword($memberPassword);
    }

    /**
     * @return mixed
     */
    public function getMemberName()
    {
        return $this->memberName;
    }

    /**
     * @param mixed $memberName
     */
    public function setMemberName($memberName): void
    {
        $this->memberName = $memberName;
    }

    /**
     * @return mixed
     */
    public function getMemberPhone()
    {
        return $this->memberPhone;
    }

    /**
     * @param mixed $memberPhone
     */
    public function setMemberPhone($memberPhone): void
    {
        $this->memberPhone = $memberPhone;
    }

    /**
     * @return mixed
     */
    public function getLocationId()
    {
        return $this->locationId;
    }

    /**
     * @param mixed $locationId
     */
    public function setLocationId($locationId): void
    {
        $this->locationId = $locationId;
    }

    /**
     * @return mixed
     */
    public function getMemberState()
    {
        return $this->memberState;
    }

    /**
     * @param mixed $memberState
     */
    public function setMemberState($memberState): void
    {
        $this->memberState = $memberState;
    }

    /**
     * @return mixed
     */
    public function getMemberAddTime()
    {
        return $this->memberAddTime;
    }

    /**
     * @param mixed $memberAddTime
     */
    public function setMemberAddTime($memberAddTime): void
    {
        $this->memberAddTime = $memberAddTime;
    }
}