<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Cms\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 单页cms
 * Class SingleCms
 * @package Cms\Entity
 * @ORM\Entity(repositoryClass="Cms\Repository\SingleCmsRepository")
 * @ORM\Table(name="dbcart_single_cms")
 */
class SingleCms extends BaseEntity
{
    /**
     * 单页文章ID
     * @ORM\Id()
     * @ORM\Column(name="single_cms_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $singleCmsId;

    /**
     * 排序
     * @ORM\Column(name="single_cms_sort", type="integer", length=11)
     */
    private $singleCmsSort;

    /**
     * 模板对应的标签code
     * @ORM\Column(name="single_tag", type="string", length=50)
     */
    private $singleTag;

    /**
     * 模板的code名称
     * @ORM\Column(name="template_code", type="string", length=50)
     */
    private $templateCode;

    /**
     * @return mixed
     */
    public function getSingleCmsId()
    {
        return $this->singleCmsId;
    }

    /**
     * @param mixed $singleCmsId
     */
    public function setSingleCmsId($singleCmsId): void
    {
        $this->singleCmsId = $singleCmsId;
    }

    /**
     * @return mixed
     */
    public function getSingleCmsSort()
    {
        return $this->singleCmsSort;
    }

    /**
     * @param mixed $singleCmsSort
     */
    public function setSingleCmsSort($singleCmsSort): void
    {
        $this->singleCmsSort = $singleCmsSort;
    }

    /**
     * @return mixed
     */
    public function getSingleTag()
    {
        return $this->singleTag;
    }

    /**
     * @param mixed $singleTag
     */
    public function setSingleTag($singleTag): void
    {
        $this->singleTag = $singleTag;
    }

    /**
     * @return mixed
     */
    public function getTemplateCode()
    {
        return $this->templateCode;
    }

    /**
     * @param mixed $templateCode
     */
    public function setTemplateCode($templateCode): void
    {
        $this->templateCode = $templateCode;
    }
}