<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 属性值内容
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsAttributeValueContentRepository")
 * @ORM\Table(name="dbcart_goods_attribute_value_content")
 */
class GoodsAttributeValueContent extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 属性值id
     * @ORM\Column(name="value_id", type="integer", length=11)
     */
    private $valueId;

    /**
     * 属性id
     * @ORM\Column(name="attribute_id", type="integer", length=11)
     */
    private $attributeId;

    /**
     * 属性值名称
     * @ORM\Column(name="value_name", type="string", length=100)
     */
    private $valueName;

    /**
     * 语言编码
     * @ORM\Column(name="language_code", type="string", length=10)
     */
    private $languageCode;

    /**
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * @param mixed $contentId
     */
    public function setContentId($contentId): void
    {
        $this->contentId = $contentId;
    }

    /**
     * @return mixed
     */
    public function getValueId()
    {
        return $this->valueId;
    }

    /**
     * @param mixed $valueId
     */
    public function setValueId($valueId): void
    {
        $this->valueId = $valueId;
    }

    /**
     * @return mixed
     */
    public function getAttributeId()
    {
        return $this->attributeId;
    }

    /**
     * @param mixed $attributeId
     */
    public function setAttributeId($attributeId): void
    {
        $this->attributeId = $attributeId;
    }

    /**
     * @return mixed
     */
    public function getValueName()
    {
        return $this->valueName;
    }

    /**
     * @param mixed $valueName
     */
    public function setValueName($valueName): void
    {
        $this->valueName = $valueName;
    }

    /**
     * @return mixed
     */
    public function getLanguageCode()
    {
        return $this->languageCode;
    }

    /**
     * @param mixed $languageCode
     */
    public function setLanguageCode($languageCode): void
    {
        $this->languageCode = $languageCode;
    }
}