<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 聚合标签
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsOtherTagRepository")
 * @ORM\Table(name="dbcart_other_tag")
 */
class GoodsOtherTag extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="other_tag_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $otherTagId;

    /**
     * 名称
     * @ORM\Column(name="other_tag_name", type="string", length=200)
     */
    private $otherTagName;

    /**
     * 标题
     * @ORM\Column(name="other_tag_title", type="string", length=200)
     */
    private $otherTagTitle;

    /**
     * 指定聚合标签模板
     * @ORM\Column(name="other_tag_template_file", type="string", length=50)
     */
    private $otherTagTemplateFile;

    /**
     * 手机端图片
     * @ORM\Column(name="other_tag_mobile_ad", type="string", length=200)
     */
    private $otherTagMobileAd;

    /**
     * 电脑端图片
     * @ORM\Column(name="other_tag_pc_ad", type="string", length=200)
     */
    private $otherTagPcAd;

    /**
     * 关键字
     * @ORM\Column(name="other_tag_keywords", type="string", length=255)
     */
    private $otherTagKeywords;

    /**
     * 描述
     * @ORM\Column(name="other_tag_description", type="string", length=1000)
     */
    private $otherTagDescription;

    /**
     * 聚合标签状态
     * @ORM\Column(name="other_tag_state", type="integer", length=1)
     */
    private $otherTagState = 1;

    /**
     * @return mixed
     */
    public function getOtherTagId()
    {
        return $this->otherTagId;
    }

    /**
     * @param mixed $otherTagId
     */
    public function setOtherTagId($otherTagId): void
    {
        $this->otherTagId = $otherTagId;
    }

    /**
     * @return mixed
     */
    public function getOtherTagName()
    {
        return $this->otherTagName;
    }

    /**
     * @param mixed $otherTagName
     */
    public function setOtherTagName($otherTagName): void
    {
        $this->otherTagName = $otherTagName;
    }

    /**
     * @return mixed
     */
    public function getOtherTagTitle()
    {
        return $this->otherTagTitle;
    }

    /**
     * @param mixed $otherTagTitle
     */
    public function setOtherTagTitle($otherTagTitle): void
    {
        $this->otherTagTitle = $otherTagTitle;
    }

    /**
     * @return mixed
     */
    public function getOtherTagTemplateFile()
    {
        return $this->otherTagTemplateFile;
    }

    /**
     * @param mixed $otherTagTemplateFile
     */
    public function setOtherTagTemplateFile($otherTagTemplateFile): void
    {
        $this->otherTagTemplateFile = $otherTagTemplateFile;
    }

    /**
     * @return mixed
     */
    public function getOtherTagMobileAd()
    {
        return $this->otherTagMobileAd;
    }

    /**
     * @param mixed $otherTagMobileAd
     */
    public function setOtherTagMobileAd($otherTagMobileAd): void
    {
        $this->otherTagMobileAd = $otherTagMobileAd;
    }

    /**
     * @return mixed
     */
    public function getOtherTagPcAd()
    {
        return $this->otherTagPcAd;
    }

    /**
     * @param mixed $otherTagPcAd
     */
    public function setOtherTagPcAd($otherTagPcAd): void
    {
        $this->otherTagPcAd = $otherTagPcAd;
    }

    /**
     * @return mixed
     */
    public function getOtherTagKeywords()
    {
        return $this->otherTagKeywords;
    }

    /**
     * @param mixed $otherTagKeywords
     */
    public function setOtherTagKeywords($otherTagKeywords): void
    {
        $this->otherTagKeywords = $otherTagKeywords;
    }

    /**
     * @return mixed
     */
    public function getOtherTagDescription()
    {
        return $this->otherTagDescription;
    }

    /**
     * @param mixed $otherTagDescription
     */
    public function setOtherTagDescription($otherTagDescription): void
    {
        $this->otherTagDescription = $otherTagDescription;
    }

    /**
     * @return mixed
     */
    public function getOtherTagState()
    {
        return $this->otherTagState;
    }

    /**
     * @param mixed $otherTagState
     */
    public function setOtherTagState($otherTagState): void
    {
        $this->otherTagState = $otherTagState;
    }

}