<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Repository;

use Doctrine\ORM\EntityRepository;
use Doctrine\ORM\Query\Expr\Join;
use Goods\Entity\Goods;
use Goods\Entity\GoodsContent;
use Goods\Entity\GoodsInTag;

class GoodsInTagRepository extends EntityRepository
{
    /**
     * 标签商品
     * @param $tagId
     * @return \Doctrine\ORM\Query
     */
    public function findInTagGoods($tagId)
    {
        $query = $this->getEntityManager()->createQueryBuilder()
            ->select('t', 'g.goodsState')
            ->addSelect("(SELECT c.goodsName FROM ".GoodsContent::class." AS c WHERE c.goodsId=g.goodsId AND c.languageCode='".SHOP_FONT_LANGUAGE."') AS goodsName")
            ->from(GoodsInTag::class, 't')
            ->innerJoin(Goods::class, 'g', Join::WITH, 'g.goodsId = t.goodsId')
            ->where('t.tagId = :tagId')->setParameter('tagId', $tagId)
            ->orderBy('t.tagGoodsSort', 'ASC')
            ->addOrderBy('t.goodsId', 'DESC');

        return $query->getQuery();
    }
}