<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Shop\Controller\Factory;

use Admin\Data\Config;
use Interop\Container\ContainerInterface;
use Laminas\Mvc\I18n\Translator;
use Laminas\ServiceManager\Factory\FactoryInterface;
use Shop\Controller\HomeUserController;
use User\Service\UserManager;
use User\Service\UserNameLogManager;
use User\Service\UserOtherLoginManager;

class HomeUserControllerFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $translator     = $container->get(Translator::class);
        $entityManager  = $container->get(Config::SHOP_DATABASE_MANAGER_WRITE);
        $userManager    = $container->get(UserManager::class);
        $userOtherLoginManager  = $container->get(UserOtherLoginManager::class);
        $userNameLogManager     = $container->get(UserNameLogManager::class);

        return new HomeUserController(
            $translator,
            $entityManager,
            $userManager,
            $userOtherLoginManager,
            $userNameLogManager
        );
    }
}